libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

xr_client_basic_auth
xr_client_call
xr_client_close
xr_client_conn
xr_client_free
xr_client_get_http
xr_client_get_ssl_context
xr_client_new
xr_client_open
xr_client_reset_http_headers
xr_client_set_http_header
xr_client_set_transport

gboolean xr_client_set_transport | ( | xr_client_conn * | conn,
|  | xr_call_transport | transport
| ) |  |

Set transport type.

Currently supported types are XR_CALL_XML_RPC and XR_CALL_JSON_RPC (not all xr_value types).

Parameters

  conn | Connection object.
  transport | Transport type.

Returns
  TRUE on success, FALSE if transport is not available.

Documentation for libxr, Fri Apr 15 2016 08:12:18.